import contextlib
import unittest
import io
import unittest.mock
from unittest import TextTestRunner

class MainTest(unittest.TestCase):

    def test_answer(self):

        text = '''Humpty Dumpty sat on a wall
Humpty Dumpty had a great fall
all the king's horses and all the king's men
couldn't put Humpty together again'''

        capturedOutput = io.StringIO()                 
        sys.stdout = capturedOutput                     
        main(text)
        sys.stdout = sys.__stdout__ 
        output = capturedOutput.getvalue().strip()
        expected = ["(0, 1)", "(1, 0)"]
        self.assertIn(output, expected)

test_suite = unittest.TestLoader().loadTestsFromTestCase(MainTest)
with io.StringIO() as buf:
    # run the tests
    with contextlib.redirect_stdout(buf):
        TextTestRunner(stream=buf).run(test_suite)
    # process (in this case: print) the results
    printTest(buf.getvalue())
